package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 录取批次对象 mall_batch
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallBatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次类型id */
    private Long batchId;

    /** 批次名称 */
    @Excel(name = "批次名称")
    private String batchName;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 显示状态(0-正常,1-隐藏) */
    @Excel(name = "显示状态(0-正常,1-隐藏)")
    private Integer displayStatus;

    /** 类型(0-本科,1-专科) */
    private Integer batchType;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public void setBatchName(String batchName)
    {
        this.batchName = batchName;
    }

    public String getBatchName()
    {
        return batchName;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setDisplayStatus(Integer displayStatus)
    {
        this.displayStatus = displayStatus;
    }

    public Integer getDisplayStatus()
    {
        return displayStatus;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Integer getBatchType() {
        return batchType;
    }

    public void setBatchType(Integer batchType) {
        this.batchType = batchType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("batchId", getBatchId())
            .append("batchName", getBatchName())
            .append("sort", getSort())
            .append("displayStatus", getDisplayStatus())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .append("batchType", getBatchType())
            .toString();
    }
}
